Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class WorkloadRequest

    java.lang.Object
      com.bea.wli.worklist.api.WorkloadRequest

All Implemented Interfaces:
  Serializable

    public class WorkloadRequest

extends Object
implements Serializable

Describes a request to calculate workload data for a user

See Also:
  Serialized Form

Constructor Summary
`WorkloadRequest()` Default constructor.
`WorkloadRequest(String userId)` Create a WorkloadRequest for the given user and using defaults for other params.
`WorkloadRequest(String userId, boolean useTaskCountOnly, int maxTasksToConsider)` Construct a WorkloadRequest with specific values.

Method Summary
`int` | `getDefaultMinutesPerTask()`
`int` | `getMaxTasksToConsider()`
`String` | `getUserId()`
`boolean` | `isUseTaskCountOnly()`
`void` | `setDefaultMinutesPerTask(int defaultMinutesPerTask)` The number of minutes that will be used as the 'load' value of all tasks when isUseTaskCountOnly() returns true.
`void` | `setMaxTasksToConsider(int maxTasksToConsider)` This is the maximum number of tasks that should be considered in the workload calculation.
`void` | `setUserId(String userId)` The user for which workload data will be calculated.
`void` | `setUseTaskCountOnly(boolean useTaskCountOnly)` A flag indicating that workload should be calculated using the only the count of tasks this user has claimed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkloadRequest

    public WorkloadRequest()

  Default constructor. Equivalent to calling new WorkloadRequest(null, false, -1);

### WorkloadRequest

    public WorkloadRequest(String userId)

  Create a WorkloadRequest for the given user and using defaults for other params. Equivalent to calling new WorklistRequest(userId, false, -1)

  Parameters:
    `userId` - The user for which workload will be calculated.

### WorkloadRequest

    public WorkloadRequest(String userId,
                           boolean useTaskCountOnly,
                           int maxTasksToConsider)

  Construct a WorkloadRequest with specific values.

  Parameters:
    `userId` - The user for which workload will be calculated
    `useTaskCountOnly` - Flag to use the count of tasks in the calculation instead of looking at individual tasks.
    `maxTasksToConsider` - The max number of tasks to look at during the calculation.

Method Detail

### getUserId

    public String getUserId()

  See Also:
    `setUserId(java.lang.String)`

### setUserId

    public void setUserId(String userId)

  The user for which workload data will be calculated.

### isUseTaskCountOnly

    public boolean isUseTaskCountOnly()

  See Also:
    `setUseTaskCountOnly(boolean)`

### setUseTaskCountOnly

    public void setUseTaskCountOnly(boolean useTaskCountOnly)

  A flag indicating that workload should be calculated using the only the count of tasks this user has claimed. If this flag is not set, the workload calculation will take into account task and step time estimates for each task this user has claimed. This can be expensive if there are many tasks claimed by this user. Setting this flag to true results in a much more efficient, but less accurate/intelligent workload calculation. If this value is true, each task claimed by the user will count for a fixed number of minutes of time in the workload score. The number of minutes is the value returned by getDefaultMinutesPerTask().

### getDefaultMinutesPerTask

    public int getDefaultMinutesPerTask()

  See Also:
    `setDefaultMinutesPerTask(int)`

### setDefaultMinutesPerTask

    public void setDefaultMinutesPerTask(int defaultMinutesPerTask)

  The number of minutes that will be used as the 'load' value of all tasks when isUseTaskCountOnly() returns true. Defaults to 10.

  Parameters:
    `defaultMinutesPerTask` - The number of minutes to use for all tasks when calculating workload using task count only.

### getMaxTasksToConsider

    public int getMaxTasksToConsider()

  See Also:
    `setMaxTasksToConsider(int)`

### setMaxTasksToConsider

    public void setMaxTasksToConsider(int maxTasksToConsider)

  This is the maximum number of tasks that should be considered in the workload calculation. It defaults to 100 to avoid performing an expensive workload calculation on a very large number of tasks. If you wish to consider more or less tasks in the workload calculation, set this value to the desired number. This value is ignored if isUseTaskCountOnly() returns true. If maxTasksToConsider is passed as 0 or negative, a default of 100 is used.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD